.next-dog {
  display: inline-block;
  position: relative;
  padding: 0.6em 0.7em;
  border-radius: 0.25em;
  text-shadow: 0 0 0.125em hsl(0 0% 100% / 0.3), 0 0 0.45em currentColor;
  box-shadow: inset 0 0 0.5em 0 var(--clr-neon), 0 0 0.5em 0 var(--clr-neon);
  font-size: 1.5rem;
  cursor: pointer;
  text-decoration: none;
  color: var(--clr-neon);
  border: var(--clr-neon) 0.125em solid;
}

.next-dog::before {
  pointer-events: none;
  content: "";
  position: absolute;
  background: var(--clr-neon);
  top: 120%;
  left: 0;
  width: 100%;
  height: 100%;

  transform: perspective(1em) rotateX(20deg) scale(1, 0.25);
  filter: blur(1em);
  animation: next-dog__glow 1.5s infinite linear;
  opacity: 0.55;
}

@keyframes next-dog__glow {
  20% {
    opacity: 0.3;
    transform: perspective(1em) rotateX(20deg) scale(1, 0.25);
  }

  80% {
    transform: 0.6;
    transform: perspective(1em) rotateX(30deg) scale(1, 0.3);
  }

  100% {
    transform: 1;
  }
}

.next-dog::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -1;
  opacity: 0;
  box-shadow: 0 0 2em 0.5em var(--clr-neon);
  background-color: var(--clr-neon);
  transition: opacity 100ms linear;
}

.next-dog:hover,
.next-dog:focus {
  color: var(--clr-bg);
  text-shadow: none;
}

.next-dog:hover::before,
.next-dog:focus::before {
  opacity: 1;
}

.next-dog:hover::after,
.next-dog:focus::after {
  opacity: 1;
}

.next-dog__disabled {
  position: relative;
  display: inline-block;
  padding: 0.6em 0.7em;
  color: var(--clr-neon-disabled);
  border: var(--clr-neon-disabled) 0.125em solid;
  border-radius: 0.25em;
  cursor: auto;
  font-size: 1.5rem;
  text-decoration: none;
}